For the complete documentation index, see llms.txt. This page is also available as Markdown.

Building

Search Buildings (Including Floor Plans)

get

Searches for a list of buildings with registered floor plans.

Use Cases

  • Keyword-based building search

  • Map area (bounding box) based building retrieval

  • Area, number of bedrooms/bathrooms filtering

Pagination

  • Offset-based paging (starts from 0)

  • limit: page size (min 1, max 200)

  • Check existence of the next page using hasNext in the response

Filter Conditions

  • keyword: Search by address name / road name / building name / user-configured building alias

  • bottomRightLat, bottomRightLon, topLeftLat, topLeftLon: Map area filter (enter all 4 or omit all)

  • minArea, maxArea: Floor plan area range filter (㎡)

  • bedrooms: Bedroom count filter

  • bathrooms: Bathroom count filter

  • sort: Sort criteria (ID_DESC, ID_ASC, UPDATED_ASC, UPDATED_DESC, etc.)

Authorizations
Query parameters
offsetinteger · int32Required

Page number (starts from 0, offset paging)

limitinteger · int32Required

Page size (min: 1, max: 200)

sortTypestring · enumOptional

Sort Type

Default: ID_DESCPossible values:
keywordstringOptional

Search keyword (Address name / Road name / Building name / Building alias)

bottomRightLatnumber · doubleOptional

Bottom-right latitude (bounding box)

bottomRightLonnumber · doubleOptional

Bottom-right longitude (bounding box)

topLeftLatnumber · doubleOptional

Top-left latitude (bounding box)

topLeftLonnumber · doubleOptional

Top-left longitude (bounding box)

minAreanumber · doubleOptional

Minimum area (㎡)

maxAreanumber · doubleOptional

Maximum area (㎡)

bedroomsinteger · int32Optional

Number of bedrooms

bathroomsinteger · int32Optional

Number of bathrooms

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/building
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Last updated

Was this helpful?